import { createI18n } from 'vue-i18n'
import { en } from './en'
import { es } from './es'

const i18n = createI18n({
  locale: 'es',
  messages: {
    en,
    es,
  },
})

const translate = (key: string) => {
  return i18n.global.t(key)
}

export default i18n
export { translate, translate as t }
